libretools - Bug #790

Add support QEMU in chroot on nonnative architecture to build other systems without need to use
cross-compiling
2015-08-20 08:27 AM - Anonymous

Status: not-a-bug % Done: 0%
Priority: feature

Assignee: lukeshu

Category:

Description

Add support QEMU in chroot on nonnative architecture to build other systems without need to use cross-compiling
like gemu-arm

https://labs.parabola.nu/issues/787

Related issues:
Related to dbscripts - Bug #808: Package [dbscripts] similarly to libretools ... fixed 2015-09-22

History

#1 - 2015-08-20 06:04 PM - Anonymous
- Related to Porting #787: [librechroot] Support ARM chroots on x86 via QEMU added

#2 - 2015-09-13 04:18 AM - lukeshu

That would be really cool.

Maybe by December?

#3 - 2015-09-23 01:47 AM - Anonymous
- Related to Bug #807: [librechroot] Support using proot to call QEMU for foreign architectures added

#4 - 2015-09-23 01:50 AM - Anonymous

- Related to Bug #808: Package [dbscripts] similarly to libretools for easy use in Parabola server added

#5 - 2015-09-23 01:51 AM - Anonymous

- Related to Bug #791: Support cross-compiling for other architectures without need extra dependencies added

#6 - 2016-04-15 11:17 PM - lukeshu

- Status changed from open to not-a-bug

I'm closing this as a dup of #787

#7 - 2016-04-15 11:31 PM - lukeshu
- Related to deleted (Bug #807: [librechroot] Support using proot to call QEMU for foreign architectures)

#8 - 2016-04-15 11:33 PM - lukeshu
- Related to deleted (Porting #787: [librechroot] Support ARM chroots on x86 via QEMU)

#9 - 2016-04-15 11:49 PM - lukeshu

- Related to deleted (Bug #791: Support cross-compiling for other architectures without need extra dependencies)
